aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rw-r--r--deploy.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
new file mode 100644
index 0000000..1e15d57
--- /dev/null
+++ b/deploy.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+if [ "$1" = "dev" ]; then
+ branch=dev
+ location='/var/www/html-test'
+elif [ "$1" = "prod" ]; then
+ branch=main
+ location='/var/www/html'
+fi
+
+cd ~/website || exit
+git checkout "$branch"
+git pull
+
+cd ~/.dotfiles || exit
+git checkout "$branch"
+git pull
+
+cd ~/blog || exit
+git checkout "$branch"
+git pull
+
+cd ~/.dotfiles || exit
+~/website/fix-dotfile-paths.sh
+emacs --batch -f package-initialize --script ~/website/publish.el
+~/website/post-publish.sh
+
+cp -r public_html/* "$location"